# -*- coding: utf-8 -*-

import os

# ---=== FOR OSX ===---
# This script will append a line to Papercut's config file that will silence
# error messages related to connecting to the server.  This addresses the 
# issue where Papercut complains that
# it can't connect to the server.  The problem stems from the fact that it is
# checking for a connection before the computer has enough time to establish a 
# network connection.

# Grab the extended path for the library.
myPath = os.path.expanduser("~/Library/Preferences")
myPath += "/PCClient/config.properties"


# If the file exists, let's append a string to it.
if os.path.exists(myPath):
	with open(myPath, "a") as myFile:
		myFile.write("\nsilent=Y")
		myFile.close()
else:
	print("Could not locate " + myPath + " -- process aborted.")


